Geom2D::ICP Class Reference

## Public Member Functions

Pose | align (std::vector< Point >, std::vector< Point >, Pose, double, int, bool)
const std::vector< Point > | get_ref_points ()
const std::vector< Point > | get_obs_points ()

## Public Attributes

bool | warning_misalign

## Private Attributes

vector< Point > | ref
SweepSearch * | nn
vector< Point > | a
vector< Point > | b
vector< int > | index

The documentation for this class was generated from the following files:

- icp.h
- icp.cpp

Last updated 12 September 2005 21:38:45